
Function Asc2 ( Subject As String = EMPTY ) As String
	
	Dim As String Result
	Result = "&H"
	
	For Offset As Long = 1 To Len ( Subject ) Step 1
		Result &= Hex ( Asc ( Mid ( Subject, Offset, 1 ) ) )
	Next Offset
	
	Asc2 = Result
	
	Exit Function
	
End Function

Function ValAsc2 ( Subject As String = EMPTY ) As Long
	
	ValAsc2 = Val ( Asc2 ( Subject ) )
	
	Exit Function
	
End Function

Function StrAsc2 ( Subject As String = EMPTY ) As String
	
	StrAsc2 = Str ( ValAsc2 ( Subject ) )
	
	Exit Function
	
End Function

Function HexAsc2 ( Subject As String = EMPTY ) As String
	
	HexAsc2 = Asc2 ( Subject )
	
	Exit Function
	
End Function

